/*****************************************************************************/
/*	aisa25w.h																 */
/*																			 */
/*	aISA-A25															 */
/*																			 */
/*	Copyright ADTEK SYSTEM SCIENCE Co.,Ltd.									 */
/*																			 */
/*	Date 1999/02/08															 */
/*																			 */
/*****************************************************************************/

#ifndef __INC_AISA25W_H__
#define __INC_AISA25W_H__

#include "aisa25.h"


#ifdef __cplusplus
extern "C"{
#endif


#define AISA25_DLL_NAME	  _T("aisa25.dll")	// DLL

#define AISA25_ERR_WRAPDLL ((DWORD)-1)	// bp[֐G[


BOOL  Aisa25wDllOpen();		// DLL [h
BOOL  Aisa25wDllClose();	// DLL A[h

// ʏgp
BOOL  Aisa25wGetVersion(PDWORD pdwDllVer, PDWORD pdwDrvVer);
BOOL  Aisa25wCreate(PWORD pwLogSlot, HWND hWnd, UINT uWMBase, PVOID pvInitArg);
BOOL  Aisa25wClose(WORD wLogSlot);
BOOL  Aisa25wGetResource(WORD wLogSlot, PAISA25R pres);
BOOL  Aisa25wGetNumBoard(WORD wLogSlot, PWORD pwNumBoard);
BOOL  Aisa25wGetSwitchValue(WORD wLogSlot, PDWORD pdwSwitchValue);
BOOL  Aisa25wReset(WORD wLogSlot);

BOOL  Aisa25wAdc(WORD wLogSlot);
BOOL  Aisa25wAdGetChEntry(WORD wLogSlot, DWORD dwChCount, PAISA25ADCHE pEntries);
BOOL  Aisa25wAdSetChEntry(WORD wLogSlot, DWORD dwChCount, PAISA25ADCHE pEntries);
BOOL  Aisa25wAdSetMode(WORD wLogSlot, PCAISA25ADM pmode);
BOOL  Aisa25wAdStartSampling(WORD wLogSlot);
BOOL  Aisa25wAdStopSampling(WORD wLogSlot);
BOOL  Aisa25wAdGetSamplingStatus(WORD wLogSlot, PDWORD pdwNumData, PDWORD pdwStatus);
BOOL  Aisa25wAdGetData(WORD wLogSlot, PDWORD pdwNumData, PWORD pwData);

BOOL  Aisa25wDaSetRateSampling(WORD wLogSlot, DWORD dwSelClock, DWORD dwTimer);
BOOL  Aisa25wDaSetDataEntry(WORD wLogSlot, DWORD dwDaMode, DWORD dwDataCount, PWORD pwDataEntry);
BOOL  Aisa25wDaStartSampling(WORD wLogSlot, DWORD dwDaMode);
BOOL  Aisa25wDaStopSampling(WORD wLogSlot);
BOOL  Aisa25wDaSetData(WORD wLogSlot, WORD wDaData);

BOOL  Aisa25wGetEIn(WORD wLogSlot, PDWORD pdwEIn1, PDWORD pdwEIn2, PDWORD pdwEIn3);
BOOL  Aisa25wSetEOut(WORD wLogSlot, DWORD dwEOut1, DWORD dwEOut2, DWORD dwEOut3);

DWORD Aisa25wGetLastError(WORD wLogSlot);

// EAB gp
BOOL  Aisa25wGetSwitchValueEx(WORD wLogSlot, WORD wSelBoard, PDWORD pdwSwitchValue);
BOOL  Aisa25wResetEx(WORD wLogSlot, WORD wSelBoard);

BOOL  Aisa25wAdcEx(WORD wLogSlot, WORD wSelBoard);
BOOL  Aisa25wAdGetChEntryEx(WORD wLogSlot, WORD wSelBoard, DWORD dwChCount, PAISA25ADCHE pEntries);
BOOL  Aisa25wAdSetChEntryEx(WORD wLogSlot, WORD wSelBoard, DWORD dwChCount, PAISA25ADCHE pEntries);
BOOL  Aisa25wAdSetModeEx(WORD wLogSlot, WORD wSelBoard, PCAISA25ADM pmode);
BOOL  Aisa25wAdSetEab(WORD wLogSlot, PCAISA25ADE peab);
BOOL  Aisa25wAdStartSamplingEx(WORD wLogSlot, WORD wSelBoard);
BOOL  Aisa25wAdStopSamplingEx(WORD wLogSlot, WORD wSelBoard);
BOOL  Aisa25wAdGetSamplingStatusEx(WORD wLogSlot, WORD wSelBoard, PDWORD pdwNumData, PDWORD pdwStatus);
BOOL  Aisa25wAdGetDataEx(WORD wLogSlot, WORD wSelBoard, PDWORD pdwNumData, PWORD pwData);

BOOL  Aisa25wDaSetRateSamplingEx(WORD wLogSlot, WORD wSelBoard, DWORD dwSelClock, DWORD dwTimer);
BOOL  Aisa25wDaSetDataEntryEx(WORD wLogSlot, WORD wSelBoard, DWORD dwDaMode, DWORD dwDataCount, PWORD pwDataEntry);
BOOL  Aisa25wDaStartSamplingEx(WORD wLogSlot, WORD wSelBoard, DWORD dwDaMode);
BOOL  Aisa25wDaStopSamplingEx(WORD wLogSlot, WORD wSelBoard);
BOOL  Aisa25wDaSetDataEx(WORD wLogSlot, WORD wSelBoard, WORD wDaData);

BOOL  Aisa25wGetEInEx(WORD wLogSlot, WORD wSelBoard, PDWORD pdwEIn1, PDWORD pdwEIn2, PDWORD pdwEIn3);
BOOL  Aisa25wSetEOutEx(WORD wLogSlot, WORD wSelBoard, DWORD dwEOut1, DWORD dwEOut2, DWORD dwEOut3);


#ifdef __cplusplus
}
#endif

#endif // __INC_AISA25W_H__
